<div class="container">
  <h1>
    {{$ctrl.date}} <br />
    Things To Do:
  </h1>

  <ul>
    <li ng-repeat="todo in $ctrl.todoService.list track by $index">
      <!--      <input-->
      <!--        type="checkbox"-->
      <!--        ng-model="todo.done"-->
      <!--        style="vertical-align: top; margin-top: 0.5em;"-->
      <!--      />-->

      <span class="done-{{todo.done}}">
        <a ng-click="$ctrl.goToEdit(todo.id)">{{todo.title}}</a>
      </span>
      <!--      {{$index}}-->
      <button
        style="color: red; border-style: none; background-color: transparent; vertical-align: top; margin-top: 0.5em;"
        ng-click="$ctrl.todoService.remove($index)"
      >
        X
      </button>
      <br />
      <small>{{todo.description}}</small>
      <br />
      <small>{{todo.time | date: "dd/MM/yyyy 'at' HH:mm"}}</small>
    </li>
  </ul>

  <form ng-submit="$ctrl.todoService.add($ctrl.todo)">
    <input
      ng-model="$ctrl.todo.titleText"
      type="text"
      placeholder="Add a new item here"
      autofocus
    />

    <button type="submit">ADD TODO</button>
  </form>
</div>
